Bug 17946 - can't build bzImage for some reason
can't build bzImage for some reason
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-30 04:33 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-01 19:55:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-30 04:33:02 EDT
typed make menuconfig
then after turning off atapi cd support and enabling scsi emulation
typed make dep
typed make bzImage

and this is what I get.

kgcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce -m386
-DCPU=386 -DUTS_MACHINE='"i386"' -c -o init/version.o init/version.c
make -C  kernel
make[1]: Entering directory `/usr/src/linux-2.2.16/kernel'
make all_targets
make[2]: Entering directory `/usr/src/linux-2.2.16/kernel'
kgcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce -m386
-DCPU=386   -DEXPORT_SYMTAB -c ksyms.c
In file included from /usr/src/linux/include/linux/modversions.h:50,
                 from /usr/src/linux/include/linux/module.h:19,
                 from ksyms.c:14:
/usr/src/linux/include/linux/modules/i386_ksyms.ver:6: warning: `cpu_data'
redefined
/usr/src/linux/include/asm/processor.h:96: warning: this is the location of
the previous definition
/usr/src/linux/include/linux/modules/i386_ksyms.ver:28: warning:
`smp_num_cpus' redefined
/usr/src/linux/include/linux/smp.h:77: warning: this is the location of the
previous definition
/usr/src/linux/include/linux/modules/i386_ksyms.ver:118: warning:
`smp_call_function' redefined
/usr/src/linux/include/linux/smp.h:83: warning: this is the location of the
previous definition
In file included from /usr/src/linux/include/linux/interrupt.h:51,
                 from ksyms.c:21:
/usr/src/linux/include/asm/hardirq.h:23: warning: `synchronize_irq'
redefined
/usr/src/linux/include/linux/modules/i386_ksyms.ver:138: warning: this is
the location of the previous definition
In file included from /usr/src/linux/include/linux/interrupt.h:52,
                 from ksyms.c:21:
/usr/src/linux/include/asm/softirq.h:75: warning: `synchronize_bh'
redefined
/usr/src/linux/include/linux/modules/i386_ksyms.ver:142: warning: this is
the location of the previous definition
/usr/src/linux/include/linux/kernel_stat.h: In function `kstat_irqs':
In file included from ksyms.c:17:
/usr/src/linux/include/linux/kernel_stat.h:47: `smp_num_cpus' undeclared
(first use in this function)/usr/src/linux/include/linux/kernel_stat.h:47:
(Each undeclared identifier is reported only once
/usr/src/linux/include/linux/kernel_stat.h:47: for each function it appears
in.)
make[2]: *** [ksyms.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.2.16/kernel'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.16/kernel'
make: *** [_dir_kernel] Error 2
Comment 1 Mogens Kjaer 2000-09-30 07:10:01 EDT
Does running "make mrproper" help?
Comment 2 jakirsch 2000-09-30 08:42:20 EDT
I have the same problem (`smp_num_cpus' undeclared). This problem also occurs 
when i'm trying to compile the 2.4.0-0.26-Kernel from Disc 2.
Thanks in andanve for helping.
Comment 3 Alan Cox 2000-09-30 22:21:46 EDT
You need to run 'make mrproper' 
Comment 4 Dario Landazuri 2000-10-01 19:54:13 EDT
make sure you've installed kgcc...you can't compile a kernel with the default
gcc..
Comment 5 Dario Landazuri 2000-10-01 19:55:48 EDT
er, my mistake.  Sorry, didn't read your output closely enough.
Comment 6 Harvey Modlin 2000-10-05 04:03:03 EDT
Well, I get the same error msg and as a result get no bzImage -- with or 
without the "export CC=kgcc" before the make.
Comment 7 Harvey Modlin 2000-10-05 05:03:05 EDT
Aha. Found the problem! I really did forget to do the 'make mrproper' first! So 
with makr mrproper and 'export CC=kgcc', the kernel compiled just fine (thank 
you!) and the outcome was the bzImage file I wanted. Yippee! Thanks again.

Note You need to log in before you can comment on or make changes to this bug.